function [out,season] = ds(in, L)
%[deseasoned_data, season] = deseason(data, L)
% 
% Subtracts the seasonal cycle (season) from the data (data).
% Assumes season has L elements and that mod(data,L)=0. Outputs
% both the deseasonalized data and the season (length L).
%
% Possible choices for L include:
%   - 12 (monthly data)
%   - 52 (weekly data)
%   - 73 (pentad data)
%   - 365 (daily data)

n = length(in)/L;

season = reshape(in,L,n)'; season = mean(season)';

out = in - repmat(season,n,1);